Module jdk.jshell
Package jdk.jshell.spi

## Class ExecutionControl.ClassBytecodes

- java.lang.Object
- - jdk.jshell.spi.ExecutionControl.ClassBytecodes

- All Implemented Interfaces:
    `Serializable`
  Enclosing interface:
    ExecutionControl

      public static final class ExecutionControl.ClassBytecodes
      extends Object
      implements Serializable

  Bundles class name with class bytecodes.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClassBytecodes​(String name, byte[] bytecodes)` | Creates a name/bytecode pair.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `byte[]` | `bytecodes​()` | The bytecodes for the class.
    `String` | `name​()` | The class name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassBytecodes

          public ClassBytecodes​(String name,
                                byte[] bytecodes)

      Creates a name/bytecode pair.
      Parameters:
        `name` - the class name
        `bytecodes` - the class bytecodes

  - ### Method Detail

    - #### bytecodes

          public byte[] bytecodes​()

      The bytecodes for the class.
      Returns:
        the bytecodes

    - #### name

          public String name​()

      The class name.
      Returns:
        the class name